Skip to main content
PATCH
Partial Update

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this user.

Body

application/json
full_name
string
Maximum string length: 250
organization_members
object[]
last_login
string<date-time> | null
is_active
boolean

Designates whether this user should be treated as active. Unselect this instead of deleting accounts.

date_joined
string<date-time>
email
string<email>
Maximum string length: 255
first_name
string | null
Maximum string length: 50
last_name
string | null
Maximum string length: 100
user_permissions
integer[]

Specific permissions for this user.

Response

200 - application/json
id
string<uuid>
required
read-only
full_name
string
required
Maximum string length: 250
email
string<email>
required
Maximum string length: 255
first_name
string | null
Maximum string length: 50
last_name
string | null
Maximum string length: 100